{% load wagtailimages_tags wagtailcore_tags puput_tags %}
<section id="blog" class="blog{% if is_section %} section{% else %} active{% endif %}">
  <div class="display-table">
    <div class="display-content">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="text-center title">
              <h2 class="text-dark">News <span class="base-color">Post</span></h2>
              <p class="text-muted mb-5 max-width-450">{{ page.description }}</p>
            </div>
          </div>
        </div>
        <div class="row">
          {% for entry in entries %}
            <div class="col-lg-4">
              <div class="blog-item box-border">
                <div class="blog-image">
                  <div class="blog-intro">
                    {% if entry.header_image %}
                      {% image entry.header_image fill-720x480 %}
                    {% else %}
                      <img src="https://placehold.co/720x480" alt="{{ entry.header_image.title }}">
                    {% endif %}
                  </div>
                </div>
                <div class="blog-content">
                  <ul class="list-inline mt-4">
                    <li class="list-inline-item">
                      <i class="lni-calendar data-text-color" data-color="#ff5380"></i>
                      <span class="text-muted">{{ entry.date|date:"F d, Y" }} </span>
                    </li>
                    {% if entry.num_comments > 0 %}
                      <li class="list-inline-item">
                        <i class="lni-comment data-text-color" data-color="#fbdd62"></i>
                        <span class="text-muted">{{ entry.num_comments }}</span>
                      </li>
                    {% endif %}
                  </ul>
                  <h5 class="mb-3"><a class="text-dark" href="{% entry_url entry page %}"> {{ entry.title }}</a>
                  </h5>
                  {% if entry.excerpt %}
                    {{ entry.excerpt|richtext }}
                  {% else %}
                    {{ entry.body|richtext|truncatewords_html:20 }}
                  {% endif %}
                  <div class="blog-link">
                    <a class="base-color" href="{% entry_url entry page %}">Read More...</a>
                  </div>
                </div>
              </div>
            </div>
          {% endfor %}
        </div>
      </div>
    </div>
  </div>
</section>
